/********************************************************************************
 Author : CAC (CustomerApplications Center, Asia) 

 Date : 2012-07-28

 File name : AD7988Test.c

 Description : AD7988-5 sampling and read out

 Hardware plateform : ADuC7026_DEMO_V1.2 + EVAL-AD7988-5SDZ  	
********************************************************************************/

#include "ADuC7026.h"
#include "ADuC7026Driver.h"
#include "AD7988.h"

unsigned	char	buf[3] = {0,0,0};

int main(void)
{	

   	ADuC7026SetSystemClock(SYSTEM_CLOCK_41780K);
	ADuC7026InitializeUart();

	//set the sample frequency by setting the timer1  
	//take one sample in timer interrupt
	T1LD = 0x3300;                //the interrupt time is about 5ms
	//T1LD = 0x20000;			  //the interrupt time is about 50ms
	T1CON = 0xC4;

	IRQEN = GP_TIMER_BIT;        //enable the timer interrupt


	while (1)  // wait for interrupt (sampling)
	{
	};
	return 0;
}
